Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.clearmaas.com/llms.txt

Use this file to discover all available pages before exploring further.

GETList available models

OpenAPI

/openapi.yaml get /models
openapi: 3.1.0
info:
  title: ClearMaas API
  version: '2026.04'
  description: ClearMaas is an OpenAI-compatible API gateway.
  contact:
    name: ClearMaas Support
    email: support@clearmaas.com
    url: https://clearmaas.com
servers:
  - url: https://api.clearmaas.com/v1
    description: Production
security:
  - bearerAuth: []
paths:
  /models:
    get:
      tags:
        - Models
      summary: List available models
      operationId: listModels
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelList'
components:
  schemas:
    ModelList:
      type: object
      properties:
        object:
          type: string
          enum: [list]
        data:
          type: array
          items:
            $ref: '#/components/schemas/Model'
    Model:
      type: object
      properties:
        id:
          type: string
          example: openai/gpt-4o-mini
        object:
          type: string
          enum: [model]
        created:
          type: integer
        owned_by:
          type: string
          example: openai
        supported_endpoint_types:
          type: array
          items:
            type: string
          example: [openai]
        context_length:
          type: integer
          description: Maximum context window in tokens.
        max_completion_tokens:
          type: integer
          description: Maximum tokens per response.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key (sk-clearmaas-...)
      description: Pass `Authorization: Bearer sk-clearmaas-...` header.